Просто совет. Прежде чем решить перевести рабочий проект с Yii 1.xx на Yii2 хорошо подумайте так ли оно вам надо. Yii2 всем хорош. Мне очень нравится. Но имейте ввиду что

  • Yii2 хочет PHP >= 5.4
  • PHP 5.4 хочет Apache >= 2.4
  • А в Apache 2.4 столько всего другого чем в 2.2 что только диву даешься.

Кстати в Yii2 без композера жизнь не мила. Если проект на шареде без SSH, то ставить расширения руками вы устанете. И даже если у вас есть SSH не факт что всё будет ок. Например на Jino можно в один клик настроить версию PHP под которой будет жить ваш инстанс. Всё ок и это реально круто. Однако какой бы PHP вы не выставили, консоль сейчас живет под php -v = 5.2.17. На эту версию вы не сможете натянуть композер ну и дальше по списку. Вобщем, если есть рабочий проект с трафиком на Yii1, в хорошо отлаженном окружении под Apache 2.2 + PHP5.3, то ну его нафиг… Ну а новый проект конечно на Yii2. Там столько всего вкусного и клевого.

Дальше заметки для себя:

a2ensite – конфиги должны быть с .conf
.htaccess – apache2.conf

phpmyadmin теперь не в conf.d а в куче с модами
Вместо

надо

И ещё дохренищи изменений в 2.4.

22 сентября 2015 |

Есть что сказать по теме статьи? Пожалуйста - пишите!